Bug 146103 - New Port: editors/textroom, an editor to get you writing right away
Summary: New Port: editors/textroom, an editor to get you writing right away
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-28 02:40 UTC by Michael James Brune
Modified: 2010-05-02 08:25 UTC (History)
0 users

See Also:


Attachments
file.shar (2.68 KB, text/plain)
2010-04-28 02:40 UTC, Michael James Brune
no flags Details
textroom.txt (924 bytes, text/plain)
2010-04-28 03:31 UTC, Michael James Brune
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael James Brune 2010-04-28 02:40:00 UTC
"TextRoom and all other similar editors share one goal: to get you writing
right away by providing distraction free environment to your liking, as well
as familiar set of keyboard shortcuts to control its behavior. If you don't
feel comfortable already with your editor of choice, you may find it useful"

Fix: Shar file is attached

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Michael James Brune 2010-04-28 03:31:28 UTC
follow up patch to fix mistakes.  Sorry for the errors.

-- 
Michael James Brune
206-552-8572
Comment 2 Michael James Brune 2010-04-28 07:20:09 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       Makefile
#       distinfo
#       pkg-descr
#       pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
X# New ports collection makefile for: textroom
X# Date created:        27 April 2010
X# Whom:                admin@mjbrune.org
X#
X# $FreeBSD$
X#
X
XPORTNAME=      textroom
XPORTVERSION=   0.6.3.2
XCATEGORIES=    editors
XMASTER_SITES=  SF
X
XMAINTAINER=    admin@mjbrune.org
XCOMMENT=       Textroom editor
X
XBUILD_DEPENDS=  hunspell:${PORTSDIR}/hungarian/hunspell
X
XUSE_SDL=       sdl mixer
XUSE_GZIP=      yes
X
XWRKSRC=         ${WRKDIR}/${PORTNAME}
XUSE_QT_VER=    4
XQT_COMPONENTS=  moc_build qmake_build rcc_build uic_build corelib gui
XQMAKE_ARGS=    PREFIX=${PREFIX}
X
X.include <bsd.port.pre.mk>
X
Xpost-patch:
X       @${REINPLACE_CMD} -e 's|-lhunspell|-lhunspell-1.2|' \
X       -e 's|/usr/share/|${PREFIX}/share|' \
X       -e 's|/usr/bin|${PREFIX}/bin|' ${WRKSRC}/textroom.pro
X
Xdo-configure:
X       @cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
X       ${QMAKE} ${QMAKEFLAGS} ${QMAKE_ARGS} textroom.pro
X
X.include <bsd.port.post.mk>
b67911656ef5d18c4ae36cb6741b7965
echo x - distinfo
sed 's/^X//' >distinfo << '57677d168a5ec21bdf22c9501f075a8f'
XMD5 (textroom-0.6.3.2.tar.gz) = 7c3bfb18bfca13807957de96a5a3ecdb
XSHA256 (textroom-0.6.3.2.tar.gz) = 
3f117c5409cf0d2382addc5ace4b23b555c4c3a21e72c1084c7a2098319425e0
XSIZE (textroom-0.6.3.2.tar.gz) = 4949646
57677d168a5ec21bdf22c9501f075a8f
echo x - pkg-descr
sed 's/^X//' >pkg-descr << '7f9555c3c1089940396b503dd37f3979'
XTextRoom and all other similar editors share one goal: to get you writing
Xright away by providing distraction free environment to your liking, as 
well
Xas familiar set of keyboard shortcuts to control its behavior. If you don't
Xfeel comfortable already with your editor of choice, you may find it 
useful.
X
X
XWWW: http://code.google.com/p/textroom/
7f9555c3c1089940396b503dd37f3979
echo x - pkg-plist
sed 's/^X//' >pkg-plist << '842cde48cf18b70a11b15515ca566742'
Xsharesounds/keyany.wav
Xsharesounds/keyenter.wav
Xsharemyspell/dicts/tr.aff
Xsharemyspell/dicts/tr.dic
Xbin/textroom
Xshareapplications/textroom.desktop
Xbin/textroom-uninstall
Xsharetextroom/textroom-txr-mime.xml
Xsharepixmaps/textroom.png
X@dirrm sharemyspell/dicts
X@dirrm sharetextroom
X@dirrm sharesounds
X@dirrm shareapplications
X@dirrm sharepixmaps
X@dirrm sharemyspell
842cde48cf18b70a11b15515ca566742
exit


-- 
Michael James Brune
206-552-8572
Comment 3 Max Brazhnikov freebsd_committer 2010-04-28 08:19:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-05-02 07:22:13 UTC
makc        2010-05-02 06:21:23 UTC

  FreeBSD ports repository

  Added files:
    editors/textroom     Makefile distinfo pkg-descr pkg-plist 
    editors/textroom/files patch-textroom.pro 
  Log:
  Add new port editors/textroom:
  
  TextRoom and all other similar editors share one goal: to get you
  writing right away by providing distraction free environment to
  your liking, as well as familiar set of keyboard shortcuts to control
  its behavior. If you don't feel comfortable already with your editor
  of choice, you may find it useful.
  
  WWW:    http://code.google.com/p/textroom/
  
  PR:             based on ports/146103
  Submitted by:   Michael James Brune <admin at mjbrune.org>
  
  Revision  Changes    Path
  1.1       +38 -0     ports/editors/textroom/Makefile (new)
  1.1       +3 -0      ports/editors/textroom/distinfo (new)
  1.1       +54 -0     ports/editors/textroom/files/patch-textroom.pro (new)
  1.1       +7 -0      ports/editors/textroom/pkg-descr (new)
  1.1       +16 -0     ports/editors/textroom/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Max Brazhnikov freebsd_committer 2010-05-02 08:25:10 UTC
State Changed
From-To: open->closed

Committed